Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.huihoo.jfox.xmlet.jaxb.impl
Class XMLETSImpl

    org.huihoo.jfox.xmlet.jaxb.impl.XMLETSImpl

All Implemented Interfaces:
  XMLETS, XMLetsType

public class XMLETSImpl
implements XMLETS

Inner Class Summary
`class` | `XMLETSImpl.Unmarshaller`

Constructor Summary
`XMLETSImpl()`

Method Summary
`java.lang.String` | `____jaxb_ri____getLocalName()`
`java.lang.String` | `____jaxb_ri____getNamespaceURI()`
`com.sun.msv.verifier.DocumentDeclaration` | `createRawValidator()`
`java.lang.Class` | `getPrimaryInterface()`
`java.lang.Class` | `getPrimaryInterfaceClass()`
`com.sun.xml.bind.unmarshaller.ContentHandlerEx` | `getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)`
`void` | `serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)`
`void` | `serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)`

Methods inherited from interface org.huihoo.jfox.xmlet.jaxb.XMLetsType
`getXMLET`

Constructor Detail

### XMLETSImpl

    public XMLETSImpl()

Method Detail

### ____jaxb_ri____getNamespaceURI

    public java.lang.String ____jaxb_ri____getNamespaceURI()

### ____jaxb_ri____getLocalName

    public java.lang.String ____jaxb_ri____getLocalName()

### getUnmarshaller

    public com.sun.xml.bind.unmarshaller.ContentHandlerEx getUnmarshaller(com.sun.xml.bind.unmarshaller.UnmarshallingContext context)

### getPrimaryInterfaceClass

    public java.lang.Class getPrimaryInterfaceClass()

### serializeElements

    public void serializeElements(com.sun.xml.bind.serializer.XMLSerializer context)
                           throws org.xml.sax.SAXException

### serializeAttributes

    public void serializeAttributes(com.sun.xml.bind.serializer.XMLSerializer context)
                             throws org.xml.sax.SAXException

### serializeAttributeBodies

    public void serializeAttributeBodies(com.sun.xml.bind.serializer.XMLSerializer context)
                                  throws org.xml.sax.SAXException

### getPrimaryInterface

    public java.lang.Class getPrimaryInterface()

### createRawValidator

    public com.sun.msv.verifier.DocumentDeclaration createRawValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD